summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author B. Watson2010-05-12 23:27:43 +0200
committer Robby Workman2010-05-12 23:27:43 +0200
commit5e1faf6411262e3e57ba7919c2e95f873e58cb24 (patch)
treec636b44644c3e70172b4d2d1c052547e7ae0476f /accessibility
parentaeacc34a25a4943396b1be0f3ac19563d786a2c2 (diff)
downloadslackbuilds-5e1faf6411262e3e57ba7919c2e95f873e58cb24.tar.gz
accessibility/unclutter: Added to 12.2 repository
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/unclutter/README13
-rw-r--r--accessibility/unclutter/slack-desc20
-rw-r--r--accessibility/unclutter/unclutter.SlackBuild59
-rw-r--r--accessibility/unclutter/unclutter.info8
4 files changed, 100 insertions, 0 deletions
diff --git a/accessibility/unclutter/README b/accessibility/unclutter/README
new file mode 100644
index 0000000000..902332e5cd
--- /dev/null
+++ b/accessibility/unclutter/README
@@ -0,0 +1,13 @@
+unclutter is a program which runs permanently in the background of an
+X11 session. It checks on the X11 pointer (cursor) position every
+few seconds, and when it finds it has not moved (and no buttons are
+pressed on the mouse, and the cursor is not in the root window) it
+creates a small sub-window as a child of the window the cursor is in.
+The new window installs a cursor of size 1x1 but a mask of all 0, ie
+an invisible cursor. This allows you to see all the text in an xterm
+or xedit, for example. The human factors crowd would agree it should
+make things less distracting.
+
+This is an "old-school" X11 app, from the days before desktop
+environments. To run when X starts, add "unclutter &" to your .xinitrc,
+before the line that execs your window manager.
diff --git a/accessibility/unclutter/slack-desc b/accessibility/unclutter/slack-desc
new file mode 100644
index 0000000000..02f5d332ac
--- /dev/null
+++ b/accessibility/unclutter/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+unclutter: unclutter (x11 tool for removing mouse clutter from the screen)
+unclutter:
+unclutter: unclutter is a program which runs permanently in the background of
+unclutter: an X11 session. It checks the X11 pointer (cursor) position every
+unclutter: few seconds, and when it finds it has not moved (and no buttons are
+unclutter: pressed on the mouse, and the cursor is not in the root window) it
+unclutter: creates a small sub-window as a child of the window the cursor is
+unclutter: in. The new window installs a cursor of size 1x1 but a mask of all
+unclutter: 0, i.e. an invisible cursor. This allows you to see all the text
+unclutter: in an xterm or xedit, for example.
+unclutter:
+
diff --git a/accessibility/unclutter/unclutter.SlackBuild b/accessibility/unclutter/unclutter.SlackBuild
new file mode 100644
index 0000000000..140839b708
--- /dev/null
+++ b/accessibility/unclutter/unclutter.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for unclutter
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=unclutter
+VERSION=${VERSION:-8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+xmkmf -a
+make
+
+# manual install since "make install" fails to install the man page
+strip $PRGNAM
+mkdir -p $PKG/usr/bin
+cp -a $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+gzip -9c $PRGNAM.man > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/accessibility/unclutter/unclutter.info b/accessibility/unclutter/unclutter.info
new file mode 100644
index 0000000000..89c523cb2a
--- /dev/null
+++ b/accessibility/unclutter/unclutter.info
@@ -0,0 +1,8 @@
+PRGNAM="unclutter"
+VERSION="8"
+HOMEPAGE="http://www.ibiblio.org/pub/X11/contrib/utilities/unclutter-8.README"
+DOWNLOAD="http://www.ibiblio.org/pub/X11/contrib/utilities/unclutter-8.tar.gz"
+MD5SUM="1fe32cab8dd765263679618f8704117f"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"